MANPATH(1)

NOMBRE
manpath - determina la ruta de búsqueda para páginas de manual

SINOPSIS
manpath [-qgdc?V] [-m sistema[,...]] [-C fichero]

DESCRIPCIÓN
Si se establece $MANPATH, manpath simplemente muestra sus contenidos y emite una advertencia. Si no, manpath determina una jerarquía de ruta de búsqueda de páginas de manual adecuada y muestra los resultados. La ruta delimitada por dos puntos se determina utilizando información obtenida a partir del fichero de configuración de man-db – (/etc/man_db.conf) y del entorno del usuario.

OPCIONES

-q, --quiet
    No emitir advertencias.

-d, --debug
    Escribe información de depuración.

-c, --catpath
    Genera una ruta de cat en contraposición a una ruta de man. Una vez la ruta man es determinada, cada elemento de la ruta se convierte a su ruta cat relativa.

-g, --global
    Genera una ruta man que contiene todas las rutas denominadas "global" en el fichero de configuración de man-db.

-m sistema[,...], --systems=sistema[,...]
    Si este sistema tiene acceso a otras jerarquías del manual del sistema operativo, esta opcion puede utilizarse para incluirlas en la salida de manpath. Para incluir las jerarquías de las página del manual de SOnuevo, utilice la opción -m SOnuevo. El sistema especificado puede ser una combinación de nombres de sistemas operativos delimitados por comas. Para incluir las jerarquías de las páginas de manual del sistema operativo nativo, el nombre del sistema man debe ser incluido en la cadena del argumento. Esta opción anula la variable de entorno $SYSTEM.

-C fichero, --config-file=fichero
    Utilice este fichero de configuracion de usuario en lugar del predeterminado según ~/.manpath.

-?, --help
    Escribe un mensaje de ayuda y termina.

--usage
    Escribe mensaje breve sobre uso del programa y termina.

-V, --version
    Muestra información sobre la versión.

ENTORNO

MANPATH
    Si $MANPATH está establecida, $manpath muestra su valor en vez de determinarlo sobre la marcha. Si $MANPATH está prefijado por dos puntos, esntonces el valor de la variable es agragado a la lista determinada a partir del contenido de los ficheros de configuración. Si los dos puntos están al final del valor de la variable, entonces la lista determinada es agragada al contenido de la variable. Si el valor de la variable contiene dos puntos dobles (::), entonces la lista determinada es insertada en medio del valor, entre cada uno de los signos de dos puntos.

SYSTEM
    Si se establece $SYSTEM, tendrá el mismo efecto que si se hubiera especificado como el argumento de la opción -m.

FICHEROS

/etc/man_db.conf
    fichero de configuración de man-db.

VÉASE TAMBIÉN
apropos(1), man(1), whatis(1)

AUTOR
Wilf. (G.Wilford@ee.surrey.ac.uk).
Fabrizio Polacco (fpolacco@debian.org).
Colin Watson (cjwatson@debian.org).